package main.maps;

import main.Tile;

public class Corridor extends Map {

	public Corridor() {
		super(5, 10);
		
		for (int x = 0; x < map.length; x++) {
			for (int y = 0; y < map[0].length; y++) {
				if((y == 0 || x == 0 || y == 9 || x == 4) && x != 2 ) {
					map[x][y] = new Tile(3, x, y);
					add(map[x][y]);
				} else if(y == 1 && (x != 0 || x != 4)&& x != 2 ) {
					map[x][y] = new Tile(4, x, y);
					add(map[x][y]);
				}
				else {
					map[x][y] = new Tile(5, x, y);
					add(map[x][y]);
				}
			}
		}
	}
}
